<?xml version="1.0" encoding="utf-8"?>

<objects xmlns='http://www.springframework.net'
         xmlns:db="http://www.springframework.net/database"
         xmlns:tx="http://www.springframework.net/tx"
         xmlns:aop="http://www.springframework.net/aop">

  <object id="ClienteOrcamentoRepository"
          type="MicroUniverso.Venda.Repositorios.Orcamento.ClienteOrcamentoRepository, MicroUniverso.Venda.Repositorios.NH"
          singleton="true">
    <property name="HibernateTemplate" ref="HibernateTemplate" />
  </object>

  <object id="ItemCanceladoRepository"
    type="MicroUniverso.Venda.Repositorios.ItemCanceladoRepository, MicroUniverso.Venda.Repositorios.NH" singleton="true">
    <property name="HibernateTemplate" ref="HibernateTemplate" />
  </object>

  <object id="ItemPedidoRepository"
          type="MicroUniverso.Venda.Repositorios.ItemPedidoRepository, MicroUniverso.Venda.Repositorios.NH"
          singleton="true">
    <property name="HibernateTemplate" ref="HibernateTemplate" />
  </object>

  <object id="PedidoRepository"
          type="MicroUniverso.Venda.Repositorios.PedidoRepository, MicroUniverso.Venda.Repositorios.NH"
          singleton="true">
    <property name="HibernateTemplate" ref="HibernateTemplate" />
  </object>

  <object id="PedidoCanceladoRepository"
      type="MicroUniverso.Venda.Repositorios.PedidoCanceladoRepository, MicroUniverso.Venda.Repositorios.NH" singleton="true">
    <property name="HibernateTemplate" ref="HibernateTemplate" />
  </object>

  <object id="ProdutoOrcamentoRepository"
          type="MicroUniverso.Venda.Repositorios.Orcamento.ProdutoOrcamentoRepository, MicroUniverso.Venda.Repositorios.Fenix"
          singleton="true">
    <property name="HibernateTemplate" ref="HibernateTemplate" />
  </object>

  <object id="TipoOperacaoOrcamentoRepository"
          type="MicroUniverso.Venda.Repositorios.TipoOperacaoOrcamentoRepository, MicroUniverso.Venda.Repositorios.NH"
          singleton="true">
    <property name="HibernateTemplate" ref="HibernateTemplate" />
  </object>

  <object id="VendaRepository"
          type="MicroUniverso.Venda.Repositorios.VendaRepository, MicroUniverso.Venda.Repositorios.NH" singleton="true">
    <property name="HibernateTemplate" ref="HibernateTemplate" />
  </object>

  <object id="PerdaCotacaoRepository"
        type="MicroUniverso.Venda.Repositorios.PerdaCotacaoRepository, MicroUniverso.Venda.Repositorios.NH" singleton="true">
    <property name="HibernateTemplate" ref="HibernateTemplate" />
  </object>

  <object id="ItemFaturadoRepository"
         type="MicroUniverso.Venda.Repositorios.ItemFaturadoRepository, MicroUniverso.Venda.Repositorios.NH" singleton="true">
    <property name="HibernateTemplate" ref="HibernateTemplate" />
  </object>


</objects>